/*
Site header

@copyright (c) Copyright 2013-2017 Dorian Pula
@license AGPL-1.0
@author Dorian Pula [dorian.pula@amber-penguin-software.ca]
*/

import {h, Component} from 'preact';  /** @jsx h*/
import PropTypes from 'prop-types';

import {MarkdownBlock} from '../views/MarkdownBlock';
import {siteStore} from '../stores';

export class SiteHeader extends Component {
  static get propTypes() {
    return {
      styler: PropTypes.object,
      siteName: PropTypes.string,
      logo: PropTypes.string,
      tagline: PropTypes.string
    }
  }

  render() {
    return (
      <MarkdownBlock content={ siteStore.header } id='header' slug='_header' styler={ this.props.styler } />
    );
  }
}
